'use strict';
const ManagerController = require('../manager.js');
/**
 * [exports 商品类型控制器]
 * @type {[type]}
 */
module.exports = class ProductTypesController extends ManagerController {
    /**
     * [useModel 使用模型]
     * @return {[type]} [description]
     */
    get useModel() {
        let that = this;
        return that.app.model.ProductTypes;
    }
    /**
     * [createValidate 添加验证器]
     * @return {[type]} [description]
     */
    get createValidate() {
        let that = this;
        return {
            type_name:that.ctx.rules.name('类型名称').required().notEmpty().trim(),
            admin_id:that.ctx.rules.default(that.service.manager.ActionAdminUserId()).number(),
            create_time:that.ctx.rules.default(that.app.szjcomo.date('Y-m-d H:i:s')).required()
        };
    }
    /**
     * [selectOptions 查询条件]
     * @return {[type]} [description]
     */
    async selectOptions(data = {}) {
        let that = this;
        let options = {offset:(data.page - 1) * data.limit,limit:data.limit,include:[
            {model:that.app.model.ProductTypesItem,as:'product_types_item',attributes:['item_id'],required:false}
        ],order:[['type_id','desc']]};
        return options;
    }

}