'use strict';

module.exports = app => {
  const DataTypes = app.Sequelize;

  const Model = app.model.define('ProxyApplyLogs', {
    proxy_apply_id: {
      type: DataTypes.INTEGER(10).UNSIGNED,
      allowNull: false,
      primaryKey: true,
      autoIncrement: true,
    },
    user_id: {
      type: DataTypes.INTEGER(10).UNSIGNED,
      allowNull: true,
    },
    real_name: {
      type: DataTypes.STRING(255),
      allowNull: true,
    },
    phone_num: {
      type: DataTypes.STRING(11),
      allowNull: true,
    },
    id_num: {
      type: DataTypes.STRING(18),
      allowNull: true,
    },
    province_id: {
      type: DataTypes.INTEGER(10).UNSIGNED,
      allowNull: true,
    },
    province_name: {
      type: DataTypes.STRING(255),
      allowNull: true,
    },
    city_id: {
      type: DataTypes.INTEGER(10).UNSIGNED,
      allowNull: true,
    },
    city_name: {
      type: DataTypes.STRING(255),
      allowNull: true,
    },
    county_id: {
      type: DataTypes.INTEGER(10).UNSIGNED,
      allowNull: true,
    },
    county_name: {
      type: DataTypes.STRING(255),
      allowNull: true,
    },
    address: {
      type: DataTypes.STRING(255),
      allowNull: true,
    },
    admin_id: {
      type: DataTypes.INTEGER(10).UNSIGNED,
      defaultValue: -1,
      allowNull: true,
    },
    verify_status: {
      type: DataTypes.INTEGER(1),
      defaultValue: -1,
      allowNull: true,
    },
    update_time: {
      type: DataTypes.TIME,
    },
    create_time: {
      type: DataTypes.DATE,
      allowNull: true,
    },
  }, {
    tableName: 'szj_proxy_apply_logs',
  });

  Model.associate = function() {

  };
  // 同步:没有就新建,有就不变
  Model.sync();
  return Model;
};
